# FoundationClasses
TKMath
math

# math_QuickSortOfValueAndWeight Class Reference

`#include <math_QuickSortOfValueAndWeight.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)

## Static Public Member Functions

static Standard_EXPORT void | Sort (math_Array1OfValueAndWeight &TheArray, const math_CompareOfValueAndWeight &Comp)

## Member Function Documentation

void math_QuickSortOfValueAndWeight::operator delete | ( | void * | anAddress | ) | `[inline]`

void* math_QuickSortOfValueAndWeight::operator new | ( | size_t | size | ) | `[inline]`

void* math_QuickSortOfValueAndWeight::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

static Standard_EXPORT void math_QuickSortOfValueAndWeight::Sort | ( | math_Array1OfValueAndWeight & | TheArray,
|  | const math_CompareOfValueAndWeight & | Comp
| ) | `[static]`

The documentation for this class was generated from the following file:

- math_QuickSortOfValueAndWeight.hxx